%define anolis_release 2

Name:		libcbor
Version:	0.10.2
Release:	%{anolis_release}%{?dist}
Summary:	A CBOR parsing library

License:	MIT
URL:		http://libcbor.org
Source0:	https://github.com/PJK/%{name}/archive/v%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	python3-breathe
BuildRequires:	python3-sphinx
BuildRequires:	python3-sphinx_rtd_theme
BuildRequires:  make

%description
libcbor is a C library for parsing and generating CBOR.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package	devel
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}

%description devel
The %{name}-devel contains libraries and header files for %{name}.

%prep
%autosetup -n %{name}-%{version}
sed -i 's|${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/pkgconfig|${CMAKE_INSTALL_LIBDIR}/pkgconfig|' src/CMakeLists.txt

%build
%cmake -B . -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFFIX="/usr" ./
%make_build
cd doc
make man


%install
%make_install
mkdir -p %{buildroot}%{_mandir}/man3
cp doc/build/man/* %{buildroot}%{_mandir}/man3

%generate_compatibility_deps

%files
%dir %{abidir}
%license LICENSE.md
%{_libdir}/libcbor.so.0*
%{abidir}/libcbor.dump

%files doc
%doc README.md


%files devel
%{_includedir}/cbor.h
%{_includedir}/cbor/*.h
%{_includedir}/cbor/internal/*.h
%{_libdir}/libcbor.so
%{_libdir}/pkgconfig/libcbor.pc
%{_mandir}/man3/libcbor.3*

%changelog
* Tue Mar 07 2023 chen_yu_ao <m15927509890@163.com> - 0.10.2-2
- remove redundant dependencies which was introduced for so compatibility

* Thu Feb 16 2023 chen_yu_ao <m15927509890@163.com> - 0.10.2-1
- update version to 0.10.2

* Tue Oct 25 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.7.0-3
- optimise spec file

* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.7.0-2
- add doc package

* Wed Mar 23 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.7.0-1
- init from upstream 0.7.0
